Index: LMDZ6/trunk/libf/misc/wxios.F90
===================================================================
--- LMDZ6/trunk/libf/misc/wxios.F90	(revision 4618)
+++ LMDZ6/trunk/libf/misc/wxios.F90	(revision 4619)
@@ -1,14 +1,6 @@
 ! $Id$
-#ifdef CPP_XIOS
+
 MODULE wxios
-    USE xios
-    USE iaxis
-    USE iaxis_attr
-    USE icontext_attr
-    USE idate
-    USE idomain_attr
-    USE ifield_attr
-    USE ifile_attr
-    USE ixml_tree
+    USE lmdz_xios
 
     !Variables disponibles pendant toute l'execution du programme:
@@ -411,10 +403,10 @@
         
         !On récupère le handle:
-        CALL xios_get_domain_handle(dom_id, dom)
+        CALL xios_get_handle(dom_id, dom)
         
         !On parametrise le domaine:
-        CALL xios_set_domain_attr_hdl(dom, ni_glo=nbp_lon, ibegin=0, ni=nbp_lon, type="rectilinear")
-        CALL xios_set_domain_attr_hdl(dom, nj_glo=nbp_lat, jbegin=jj_begin-1, nj=jj_nb, data_dim=2)
-        CALL xios_set_domain_attr_hdl(dom, lonvalue_1d=io_lon(1:nbp_lon), latvalue_1d=io_lat(jj_begin:jj_end))
+        CALL xios_set_attr(dom, ni_glo=nbp_lon, ibegin=0, ni=nbp_lon, type="rectilinear")
+        CALL xios_set_attr(dom, nj_glo=nbp_lat, jbegin=jj_begin-1, nj=jj_nb, data_dim=2)
+        CALL xios_set_attr(dom, lonvalue_1d=io_lon(1:nbp_lon), latvalue_1d=io_lat(jj_begin:jj_end))
         CALL xios_set_domain_attr("dom_out", domain_ref=dom_id)
 
@@ -438,8 +430,8 @@
               WRITE(lunout,*) "wxios_domain_param: mpirank=",mpi_rank," mask(:,jj_nb)=",mask(:,jj_nb)
             ENDIF
-            CALL xios_set_domain_attr_hdl(dom, mask_2d=mask)
-        END IF
-
-         CALL xios_is_defined_domain_attr_hdl(dom,ni_glo=boool)
+            CALL xios_set_attr(dom, mask_2d=mask)
+        END IF
+
+         CALL xios_is_defined_attr(dom,ni_glo=boool)
         !Vérification:
         IF (xios_is_valid_domain(dom_id)) THEN
@@ -480,5 +472,5 @@
 
 !$OMP MASTER
-        CALL xios_get_domain_handle(dom_id, dom)
+        CALL xios_get_handle(dom_id, dom)
         
         !On parametrise le domaine:
@@ -580,6 +572,6 @@
         IF (.NOT.xios_is_valid_file(fname)) THEN
             !On créé le noeud:
-            CALL xios_get_filegroup_handle("defile", x_fg)
-            CALL xios_add_file(x_fg, x_file, fname)
+            CALL xios_get_handle("defile", x_fg)
+            CALL xios_add_child(x_fg, x_file, fname)
         
             !On reformate la fréquence:
@@ -587,5 +579,5 @@
         
             !On configure:
-            CALL xios_set_file_attr_hdl(x_file, name="X"//fname,&
+            CALL xios_set_attr(x_file, name="X"//fname,&
                 output_freq=nffreq, output_level=flvl, enabled=.TRUE.)
        
@@ -636,9 +628,9 @@
         
         !On ajoute le champ:
-        CALL xios_add_field(fieldgroup, field, fieldname)
+        CALL xios_add_child(fieldgroup, field, fieldname)
         !IF (prt_level >= 10) WRITE(lunout,*) "wxios_add_field: ",fieldname,fieldgroup, fieldlongname, fieldunit
         
         !On rentre ses paramètres:
-        CALL xios_set_field_attr_hdl(field, standard_name=fieldlongname, unit=newunit, default_value=def)
+        CALL xios_set_attr(field, standard_name=fieldlongname, unit=newunit, default_value=def)
         IF (prt_level >= 10) WRITE(lunout,*) "wxios_add_field: Field ",trim(fieldname), "cree:"
         IF (prt_level >= 10) WRITE(lunout,*) "wxios_add_field: long_name=",trim(fieldlongname),"; unit=",trim(newunit),";  default_value=",nf90_fill_real
@@ -691,7 +683,7 @@
         !On selectionne le bon groupe de champs:
         IF (fdim.EQ.2) THEN
-          CALL xios_get_fieldgroup_handle("fields_2D", fieldgroup)
+          CALL xios_get_handle("fields_2D", fieldgroup)
         ELSE
-          CALL xios_get_fieldgroup_handle("fields_3D", fieldgroup)
+          CALL xios_get_handle("fields_3D", fieldgroup)
         ENDIF
         
@@ -722,15 +714,15 @@
             !Champ existe déjà, mais pas XML, alors on l'ajoute
             !On ajoute le champ:
-            CALL xios_get_file_handle(fname, f)
-            CALL xios_add_fieldtofile(f, field)
+            CALL xios_get_handle(fname, f)
+            CALL xios_add_child(f, field)
             
             
             !L'operation, sa frequence:
             freq_op%timestep=1
-            CALL xios_set_field_attr_hdl(field, field_ref=fieldname, operation=TRIM(ADJUSTL(operation)), freq_op=freq_op, prec=4)
+            CALL xios_set_attr(field, field_ref=fieldname, operation=TRIM(ADJUSTL(operation)), freq_op=freq_op, prec=4)
 
             
             !On rentre ses paramètres:
-            CALL xios_set_field_attr_hdl(field, level=field_level, enabled=.TRUE.)
+            CALL xios_set_attr(field, level=field_level, enabled=.TRUE.)
             
             IF (fdim.EQ.2) THEN
@@ -744,5 +736,5 @@
                 !Si 3D :
                 !On ajoute l'axe vertical qui va bien:
-                CALL xios_set_field_attr_hdl(field, axis_ref=TRIM(ADJUSTL(axis_id)))
+                CALL xios_set_attr(field, axis_ref=TRIM(ADJUSTL(axis_id)))
                 
                 IF (prt_level >= 10) THEN
@@ -792,3 +784,3 @@
      END SUBROUTINE wxios_close
 END MODULE wxios
-#endif
+
Index: LMDZ6/trunk/libf/phydev/iophy.F90
===================================================================
--- LMDZ6/trunk/libf/phydev/iophy.F90	(revision 4618)
+++ LMDZ6/trunk/libf/phydev/iophy.F90	(revision 4619)
@@ -13,27 +13,13 @@
   
 
-#ifdef CPP_XIOS
 ! interfaces for both IOIPSL and XIOS
   INTERFACE histwrite_phy
     MODULE PROCEDURE histwrite2d_phy,histwrite3d_phy,histwrite2d_xios,histwrite3d_xios
   END INTERFACE
-#else
-! interfaces for IOIPSL
-  INTERFACE histwrite_phy
-    MODULE PROCEDURE histwrite2d_phy,histwrite3d_phy
-  END INTERFACE
-#endif
-
-#ifdef CPP_XIOS
+
 ! interfaces for both IOIPSL and XIOS
   INTERFACE histbeg_phy_all
     MODULE PROCEDURE histbeg_phy, histbeg_phyxios
   END INTERFACE
-#else
-! interfaces for IOIPSL
-  INTERFACE histbeg_phy_all
-    MODULE PROCEDURE histbeg_phy
-  END INTERFACE
-#endif
 
 contains
@@ -51,7 +37,5 @@
   USE ioipsl, only: flio_dom_set
 #endif
-#ifdef CPP_XIOS
-  use wxios, only: wxios_domain_param
-#endif
+  use wxios, only: wxios_domain_param, using_xios
   implicit none
     real,dimension(klon),intent(in) :: rlon
@@ -122,32 +106,32 @@
                       'APPLE',phys_domain_id)
 #endif
-#ifdef CPP_XIOS
-    ! Set values for the mask:
-    IF (mpi_rank == 0) THEN
-        data_ibegin = 0
-    ELSE 
-        data_ibegin = ii_begin - 1
-    END IF
-
-    IF (mpi_rank == mpi_size-1) THEN
-        data_iend = nbp_lon
-    ELSE
-        data_iend = ii_end + 1
-    END IF
-
-    if (prt_level>=10) then
-      write(lunout,*) "init_iophy_new: mpirank=",mpi_rank," iibegin=",ii_begin , " ii_end=",ii_end," jjbegin=",jj_begin," jj_nb=",jj_nb," jj_end=",jj_end
-      write(lunout,*) "init_iophy_new: mpirank=",mpi_rank," nbp_lon=",nbp_lon," nbp_lat=",nbp_lat
-      write(lunout,*) "init_iophy_new: mpirank=",mpi_rank," data_ibegin=",data_ibegin," data_iend=",data_iend
-      write(lunout,*) "init_iophy_new: mpirank=",mpi_rank," data_ibegin=",data_ibegin," data_iend=",data_iend
-      write(lunout,*) "init_iophy_new: mpirank=",mpi_rank," is_south_pole=",is_south_pole_dyn
-    endif
-
-    ! Initialize the XIOS domain coreesponding to this process:
-    CALL wxios_domain_param("dom_glo", is_sequential, nbp_lon, jj_nb, nbp_lon, nbp_lat, &
-                            1, nbp_lon, ii_begin, ii_end, jj_begin, jj_end,             &
-                            klon_mpi+2*(nbp_lon-1), data_ibegin, data_iend,             &
-                            io_lat, io_lon,is_south_pole_dyn,mpi_rank)
-#endif
+    IF (using_xios) THEN
+      ! Set values for the mask:
+      IF (mpi_rank == 0) THEN
+          data_ibegin = 0
+      ELSE 
+          data_ibegin = ii_begin - 1
+      END IF
+
+      IF (mpi_rank == mpi_size-1) THEN
+          data_iend = nbp_lon
+      ELSE
+          data_iend = ii_end + 1
+      END IF
+
+      if (prt_level>=10) then
+        write(lunout,*) "init_iophy_new: mpirank=",mpi_rank," iibegin=",ii_begin , " ii_end=",ii_end," jjbegin=",jj_begin," jj_nb=",jj_nb," jj_end=",jj_end
+        write(lunout,*) "init_iophy_new: mpirank=",mpi_rank," nbp_lon=",nbp_lon," nbp_lat=",nbp_lat
+        write(lunout,*) "init_iophy_new: mpirank=",mpi_rank," data_ibegin=",data_ibegin," data_iend=",data_iend
+        write(lunout,*) "init_iophy_new: mpirank=",mpi_rank," data_ibegin=",data_ibegin," data_iend=",data_iend
+        write(lunout,*) "init_iophy_new: mpirank=",mpi_rank," is_south_pole=",is_south_pole_dyn
+      endif
+
+      ! Initialize the XIOS domain coreesponding to this process:
+      CALL wxios_domain_param("dom_glo", is_sequential, nbp_lon, jj_nb, nbp_lon, nbp_lat, &
+                              1, nbp_lon, ii_begin, ii_end, jj_begin, jj_end,             &
+                              klon_mpi+2*(nbp_lon-1), data_ibegin, data_iend,             &
+                              io_lat, io_lon,is_south_pole_dyn,mpi_rank)
+    ENDIF
 !$OMP END MASTER
       
@@ -184,5 +168,4 @@
 !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
 
-#ifdef CPP_XIOS
 
 ! SUBROUTINE histbeg_phyxios(name,itau0,zjulian,dtime,ffreq,lev,nhori,nid_day)
@@ -213,5 +196,4 @@
   END SUBROUTINE histbeg_phyxios
 
-#endif
 
 !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
@@ -339,10 +321,10 @@
 
 ! VERSION DES HISTWRITE DEDIEES AU TOUT-XIOS-XML DEJA UTILISEE DANS PHYDEV
-#ifdef CPP_XIOS
+
   SUBROUTINE histwrite2d_xios(field_name,field)
   USE dimphy, only: klon
   USE mod_phys_lmdz_para, only: gather_omp, grid1Dto2D_mpi, &
                                 jj_nb, klon_mpi
-  USE xios, only: xios_send_field
+  USE lmdz_xios, only: xios_send_field
   USE print_control_mod, ONLY: prt_level, lunout
   USE mod_grid_phy_lmdz, ONLY: nbp_lon
@@ -368,15 +350,14 @@
     IF (prt_level >= 10) WRITE(lunout,*)'End histrwrite2d_xios ',trim(field_name)
   END SUBROUTINE histwrite2d_xios
-#endif
 
 !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
 
 ! VERSION DES HISTWRITE DEDIEES AU TOUT-XIOS-XML DEJA UTILISEE DANS PHYDEV
-#ifdef CPP_XIOS
+
   SUBROUTINE histwrite3d_xios(field_name, field)
   USE dimphy, only: klon, klev
   USE mod_phys_lmdz_para, only: gather_omp, grid1Dto2D_mpi, &
                                 jj_nb, klon_mpi
-  USE xios, only: xios_send_field
+  USE lmdz_xios, only: xios_send_field
   USE print_control_mod, ONLY: prt_level,lunout
   USE mod_grid_phy_lmdz, ONLY: nbp_lon
@@ -407,5 +388,4 @@
     IF (prt_level >= 10) write(lunout,*)'End histrwrite3d_xios ',trim(field_name)
   END SUBROUTINE histwrite3d_xios
-#endif
 
 end module iophy
Index: LMDZ6/trunk/libf/phydev/physiq_mod.F90
===================================================================
--- LMDZ6/trunk/libf/phydev/physiq_mod.F90	(revision 4618)
+++ LMDZ6/trunk/libf/phydev/physiq_mod.F90	(revision 4619)
@@ -23,9 +23,7 @@
       USE mod_grid_phy_lmdz, ONLY: nbp_lon,nbp_lat
 
-#ifdef CPP_XIOS
-      USE xios, ONLY: xios_update_calendar
+      USE lmdz_xios, ONLY: xios_update_calendar, using_xios
       USE wxios, only: wxios_add_vaxis, wxios_set_cal, wxios_closedef
       USE iophy, ONLY: histwrite_phy
-#endif
 
       IMPLICIT none
@@ -126,15 +124,15 @@
 #endif
 
-#ifdef CPP_XIOS
+    IF (using_xios) THEN
 !XIOS
-    ! Declare available vertical axes to be used in output files:    
-    CALL wxios_add_vaxis("presnivs", klev, presnivs)
+      ! Declare available vertical axes to be used in output files:    
+      CALL wxios_add_vaxis("presnivs", klev, presnivs)
 
-    ! Declare calendar and time step
-    CALL wxios_set_cal(dtime,"earth_360d",1,1,1,0.0,1,1,1,0.0)
+      ! Declare calendar and time step
+      CALL wxios_set_cal(dtime,"earth_360d",1,1,1,0.0,1,1,1,0.0)
     
-    !Finalize the context:
-    CALL wxios_closedef()
-#endif
+      !Finalize the context:
+      CALL wxios_closedef()
+    ENDIF
 !$OMP END MASTER
 !$OMP BARRIER
@@ -176,10 +174,10 @@
 
 !XIOS
-#ifdef CPP_XIOS
-!$OMP MASTER
+IF (using_xios) THEN
+  !$OMP MASTER
     !Increment XIOS time
     CALL xios_update_calendar(itau)
-!$OMP END MASTER
-!$OMP BARRIER
+  !$OMP END MASTER
+  !$OMP BARRIER
 
     !Send fields to XIOS: (NB these fields must also be defined as
@@ -190,5 +188,5 @@
     CALL histwrite_phy("v",v)
     CALL histwrite_phy("ps",paprs(:,1))
-#endif
+ENDIF
 
 ! if lastcall, then it is time to write "restartphy.nc" file
Index: LMDZ6/trunk/libf/phylmd/Dust/phys_output_write_spl_mod.F90
===================================================================
--- LMDZ6/trunk/libf/phylmd/Dust/phys_output_write_spl_mod.F90	(revision 4618)
+++ LMDZ6/trunk/libf/phylmd/Dust/phys_output_write_spl_mod.F90	(revision 4619)
@@ -389,10 +389,7 @@
     USE iophy, ONLY: set_itau_iophy, histwrite_phy
     USE netcdf, ONLY: nf90_fill_real
-
-#ifdef CPP_XIOS
     ! ug Pour les sorties XIOS
-    USE xios, ONLY: xios_update_calendar
-    USE wxios, ONLY: wxios_closedef, missing_val
-#endif
+    USE lmdz_xios, ONLY: xios_update_calendar, using_xios
+    USE wxios, ONLY: wxios_closedef, missing_val_xios => missing_val
     USE phys_cal_mod, ONLY : mth_len
 
@@ -438,9 +435,12 @@
     INTEGER, DIMENSION(iim*jjmp1*klev) :: ndex3d
     REAL, PARAMETER :: dobson_u = 2.1415e-05 ! Dobson unit, in kg m-2
-!   REAL, PARAMETER :: missing_val=nf90_fill_real
-#ifndef CPP_XIOS
     REAL :: missing_val
-#endif
     REAL, PARAMETER :: un_jour=86400.
+
+    IF (using_xios) THEN
+      missing_val=missing_val_xios
+    ELSE
+      missing_val=nf90_fill_real
+    ENDIF
 
     ! On calcul le nouveau tau:
@@ -460,16 +460,17 @@
     ! ug la boucle qui suit ne sert qu'une fois, pour l'initialisation, sinon il n'y a toujours qu'un seul passage:
     DO iinit=1, iinitend
-#ifdef CPP_XIOS
-       !$OMP MASTER
-       IF (vars_defined) THEN
-          IF (prt_level >= 10) THEN
-             write(lunout,*)"phys_output_write: call xios_update_calendar, itau_w=",itau_w
-          ENDIF
-!          CALL xios_update_calendar(itau_w)
-          CALL xios_update_calendar(itap)
-       ENDIF
-       !$OMP END MASTER
-       !$OMP BARRIER
-#endif
+       IF (using_xios) THEN
+         !$OMP MASTER
+         IF (vars_defined) THEN
+            IF (prt_level >= 10) THEN
+               write(lunout,*)"phys_output_write: call xios_update_calendar, itau_w=",itau_w
+            ENDIF
+!           CALL xios_update_calendar(itau_w)
+            CALL xios_update_calendar(itap)
+         ENDIF
+         !$OMP END MASTER
+         !$OMP BARRIER
+       ENDIF !using_xios
+
        ! On procède à l'écriture ou à la définition des nombreuses variables:
 !!! Champs 1D !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
@@ -828,38 +829,37 @@
 
 #ifdef CPP_IOIPSL
-#ifndef CPP_XIOS
-  IF (.NOT.ok_all_xml) THEN
-       ! ATTENTION, LES ANCIENS HISTWRITE ONT ETES CONSERVES EN ATTENDANT MIEUX:
-       ! Champs interpolles sur des niveaux de pression
-       missing_val=missing_val_nf90
-       DO iff=1, nfiles
-          ll=0
-          DO k=1, nlevSTD
-             bb2=clevSTD(k) 
-             IF (bb2.EQ."850".OR.bb2.EQ."700".OR. &
-                  bb2.EQ."500".OR.bb2.EQ."200".OR. &
-                  bb2.EQ."100".OR. &
-                  bb2.EQ."50".OR.bb2.EQ."10") THEN
-
-                ! a refaire correctement !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
-                ll=ll+1
-                CALL histwrite_phy(o_uSTDlevs(ll),uwriteSTD(:,k,iff), iff)
-                CALL histwrite_phy(o_vSTDlevs(ll),vwriteSTD(:,k,iff), iff)
-                CALL histwrite_phy(o_wSTDlevs(ll),wwriteSTD(:,k,iff), iff)
-                CALL histwrite_phy(o_zSTDlevs(ll),phiwriteSTD(:,k,iff), iff)
-                CALL histwrite_phy(o_qSTDlevs(ll),qwriteSTD(:,k,iff), iff)
-                CALL histwrite_phy(o_tSTDlevs(ll),twriteSTD(:,k,iff), iff)
-
-             ENDIF !(bb2.EQ."850".OR.bb2.EQ."700".OR.
-          ENDDO
-       ENDDO
-  ENDIF
+  IF (.NOT. using_xios) THEN
+    IF (.NOT.ok_all_xml) THEN
+         ! ATTENTION, LES ANCIENS HISTWRITE ONT ETES CONSERVES EN ATTENDANT MIEUX:
+         ! Champs interpolles sur des niveaux de pression
+         DO iff=1, nfiles
+           ll=0
+            DO k=1, nlevSTD
+               bb2=clevSTD(k) 
+               IF (bb2.EQ."850".OR.bb2.EQ."700".OR. &
+                    bb2.EQ."500".OR.bb2.EQ."200".OR. &
+                    bb2.EQ."100".OR. &
+                    bb2.EQ."50".OR.bb2.EQ."10") THEN
+
+                  ! a refaire correctement !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
+                  ll=ll+1
+                  CALL histwrite_phy(o_uSTDlevs(ll),uwriteSTD(:,k,iff), iff)
+                  CALL histwrite_phy(o_vSTDlevs(ll),vwriteSTD(:,k,iff), iff)
+                  CALL histwrite_phy(o_wSTDlevs(ll),wwriteSTD(:,k,iff), iff)
+                  CALL histwrite_phy(o_zSTDlevs(ll),phiwriteSTD(:,k,iff), iff)
+                  CALL histwrite_phy(o_qSTDlevs(ll),qwriteSTD(:,k,iff), iff)
+                  CALL histwrite_phy(o_tSTDlevs(ll),twriteSTD(:,k,iff), iff)
+
+               ENDIF !(bb2.EQ."850".OR.bb2.EQ."700".OR.
+            ENDDO
+         ENDDO
+    ENDIF
+  ENDIF !.NOT.using_xios
 #endif
-#endif
-
-#ifdef CPP_XIOS
-  IF (ok_all_xml) THEN
-!XIOS  CALL xios_get_field_attr("u850",default_value=missing_val)
-!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
+
+  IF (using_xios) THEN
+    IF (ok_all_xml) THEN
+  !XIOS  CALL xios_get_field_attr("u850",default_value=missing_val)
+  !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
           ll=0
           DO k=1, nlevSTD
@@ -878,6 +878,6 @@
              ENDIF !(bb2.EQ."850".OR.bb2.EQ."700".OR.
           ENDDO
-  ENDIF
-#endif
+    ENDIF
+  ENDIF !using_xios
        IF (vars_defined) THEN
           DO i=1, klon
@@ -1471,9 +1471,9 @@
 !!!!!!!!!!!! Sorties niveaux de pression NMC !!!!!!!!!!!!!!!!!!!!
 #ifdef CPP_IOIPSL
-#ifndef CPP_XIOS
-  IF (.NOT.ok_all_xml) THEN 
-       ! ATTENTION, LES ANCIENS HISTWRITE ONT ETES CONSERVES EN ATTENDANT MIEUX:
-       ! Champs interpolles sur des niveaux de pression
-       missing_val=missing_val_nf90
+
+  IF (.NOT. using_xios) THEN
+    IF (.NOT.ok_all_xml) THEN 
+         ! ATTENTION, LES ANCIENS HISTWRITE ONT ETES CONSERVES EN ATTENDANT MIEUX:
+         ! Champs interpolles sur des niveaux de pression
        DO iff=7, nfiles-1 !--here we deal with files 7,8 and 9
 
@@ -1539,8 +1539,9 @@
           CALL histwrite_phy(o_TxT,T2sumSTD(:,:,iff-6),iff)
        ENDDO !nfiles
+    ENDIF
   ENDIF
 #endif
-#endif
-#ifdef CPP_XIOS
+
+IF (using_xios) THEN
   IF (ok_all_xml) THEN 
 !      DO iff=7, nfiles
@@ -1607,6 +1608,6 @@
           CALL histwrite_phy(o_TxT,T2STD(:,:))
 !      ENDDO !nfiles
-  ENDIF
-#endif
+    ENDIF
+  ENDIF !using_xios
 !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
            itr = 0
@@ -1651,8 +1652,6 @@
           ENDDO !  iff
 #endif
-#ifdef CPP_XIOS
           !On finalise l'initialisation:
-          CALL wxios_closedef()
-#endif
+          IF (using_xios) CALL wxios_closedef()
 
           !$OMP END MASTER
Index: LMDZ6/trunk/libf/phylmd/cosp/cosp_output_mod.F90
===================================================================
--- LMDZ6/trunk/libf/phylmd/cosp/cosp_output_mod.F90	(revision 4618)
+++ LMDZ6/trunk/libf/phylmd/cosp/cosp_output_mod.F90	(revision 4619)
@@ -235,9 +235,6 @@
   USE time_phylmdz_mod, ONLY: day_ref, annee_ref, day_ini, start_time, itau_phy
   USE print_control_mod, ONLY: lunout
-
-#ifdef CPP_XIOS
-    ! ug Pour les sorties XIOS
-    USE wxios
-#endif
+  ! ug Pour les sorties XIOS
+  USE wxios
 
   IMPLICIT NONE
@@ -263,11 +260,9 @@
 !!! Variables d'entree
 
-#ifdef CPP_XIOS
-    ! ug Variables utilisées pour récupérer le calendrier pour xios
-    INTEGER :: x_an, x_mois, x_jour
-    REAL :: x_heure
-    INTEGER :: ini_an, ini_mois, ini_jour
-    REAL :: ini_heure
-#endif
+  ! ug Variables utilisées pour récupérer le calendrier pour xios
+  INTEGER :: x_an, x_mois, x_jour
+  REAL :: x_heure
+  INTEGER :: ini_an, ini_mois, ini_jour
+  REAL :: ini_heure
 
     WRITE(lunout,*) 'Debut cosp_output_mod.F90'
@@ -316,39 +311,39 @@
     CALL ymds2ju(annee_ref, 1, day_ini, start_time, zjulian_start)
 
-#ifdef CPP_XIOS
+    IF (using_xios) THEN
     
-! recuperer la valeur indefine Xios
-!    CALL xios_get_field_attr("clcalipso",default_value=Cosp_fill_value)
-!         Cosp_fill_value=missing_val
-          Cosp_fill_value=0.
-         print*,'Cosp_fill_value=',Cosp_fill_value
-!    if (use_vgrid) then
-!      print*,'vgrid%Nlvgrid, vgrid%z = ',vgrid%Nlvgrid, vgrid%z
-        CALL wxios_add_vaxis("height", vgrid%Nlvgrid, vgrid%z)
-     print*,'wxios_add_vaxis '
-!    else
-!         WRITE(lunout,*) 'wxios_add_vaxis "presnivs", vgrid%Nlvgrid ',vgrid%Nlvgrid
-!        CALL wxios_add_vaxis("presnivs", vgrid%Nlvgrid, presnivs)
-!    endif
-    WRITE(lunout,*) 'wxios_add_vaxis height_mlev, Nlevlmdz ',Nlevlmdz
-    CALL wxios_add_vaxis("height_mlev", Nlevlmdz, vgrid%mz)
-    WRITE(lunout,*) 'wxios_add_vaxis sza, PARASOL_NREFL ',PARASOL_NREFL
-    CALL wxios_add_vaxis("sza", PARASOL_NREFL, PARASOL_SZA)
-    WRITE(lunout,*) 'wxios_add_vaxis pressure2 ',7
-    CALL wxios_add_vaxis("pressure2", 7, ISCCP_PC)
-    WRITE(lunout,*) 'wxios_add_vaxis column ',Ncolumns
-    CALL wxios_add_vaxis("column", Ncolumns, column_ax)
-
-! AI nov 2015
-   CALL wxios_add_vaxis("temp", LIDAR_NTEMP, LIDAR_PHASE_TEMP)
-   CALL wxios_add_vaxis("cth", MISR_N_CTH, MISR_CTH)
-   CALL wxios_add_vaxis("dbze", DBZE_BINS, dbze_ax) 
-   CALL wxios_add_vaxis("scatratio", SR_BINS, sratio_ax)
-   CALL wxios_add_vaxis("ReffIce", numMODISReffIceBins, reffICE_binCenters)
-   CALL wxios_add_vaxis("ReffLiq", numMODISReffLiqBins, reffLIQ_binCenters)
-   print*,'reffICE_binCenters=',reffICE_binCenters
-   CALL wxios_add_vaxis("tau", 7, ISCCP_TAU)
-
-#endif
+  ! recuperer la valeur indefine Xios
+  !    CALL xios_get_field_attr("clcalipso",default_value=Cosp_fill_value)
+  !         Cosp_fill_value=missing_val
+            Cosp_fill_value=0.
+           print*,'Cosp_fill_value=',Cosp_fill_value
+  !    if (use_vgrid) then
+  !      print*,'vgrid%Nlvgrid, vgrid%z = ',vgrid%Nlvgrid, vgrid%z
+          CALL wxios_add_vaxis("height", vgrid%Nlvgrid, vgrid%z)
+       print*,'wxios_add_vaxis '
+  !    else
+  !         WRITE(lunout,*) 'wxios_add_vaxis "presnivs", vgrid%Nlvgrid ',vgrid%Nlvgrid
+  !        CALL wxios_add_vaxis("presnivs", vgrid%Nlvgrid, presnivs)
+  !    endif
+      WRITE(lunout,*) 'wxios_add_vaxis height_mlev, Nlevlmdz ',Nlevlmdz
+      CALL wxios_add_vaxis("height_mlev", Nlevlmdz, vgrid%mz)
+      WRITE(lunout,*) 'wxios_add_vaxis sza, PARASOL_NREFL ',PARASOL_NREFL
+      CALL wxios_add_vaxis("sza", PARASOL_NREFL, PARASOL_SZA)
+      WRITE(lunout,*) 'wxios_add_vaxis pressure2 ',7
+      CALL wxios_add_vaxis("pressure2", 7, ISCCP_PC)
+      WRITE(lunout,*) 'wxios_add_vaxis column ',Ncolumns
+      CALL wxios_add_vaxis("column", Ncolumns, column_ax)
+
+  ! AI nov 2015
+     CALL wxios_add_vaxis("temp", LIDAR_NTEMP, LIDAR_PHASE_TEMP)
+     CALL wxios_add_vaxis("cth", MISR_N_CTH, MISR_CTH)
+     CALL wxios_add_vaxis("dbze", DBZE_BINS, dbze_ax) 
+     CALL wxios_add_vaxis("scatratio", SR_BINS, sratio_ax)
+     CALL wxios_add_vaxis("ReffIce", numMODISReffIceBins, reffICE_binCenters)
+     CALL wxios_add_vaxis("ReffLiq", numMODISReffLiqBins, reffLIQ_binCenters)
+     print*,'reffICE_binCenters=',reffICE_binCenters
+     CALL wxios_add_vaxis("tau", 7, ISCCP_TAU)
+
+  ENDIF
    
     zdtimemoy_cosp = freq_COSP         ! Frequence ou l on moyenne
@@ -363,10 +358,10 @@
 !                    nhoricosp(iff),cosp_nidfiles(iff)
 
-#ifdef CPP_XIOS
-        IF (.not. ok_all_xml) then
-         WRITE(lunout,*) 'wxios_add_file ',cosp_outfilenames(iff)
-         CALL wxios_add_file(cosp_outfilenames(iff),chfreq(iff),10)
-        ENDIF
-#endif
+         IF (using_xios) THEN
+           IF (.not. ok_all_xml) then
+             WRITE(lunout,*) 'wxios_add_file ',cosp_outfilenames(iff)
+             CALL wxios_add_file(cosp_outfilenames(iff),chfreq(iff),10)
+           ENDIF
+         ENDIF
 
 #ifndef CPP_IOIPSL_NO_OUTPUT 
